c81c8eb37e437bff057926e928a62702b9ffb9aa
[scilab.git] / scilab / modules / intersci / Makefile.in
1 # Makefile.in generated by automake 1.11 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 ##########
19 ### Sylvestre Ledru <sylvestre.ledru@inria.fr>
20 ### INRIA - Scilab 2006
21 ##########
22
23 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
24 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
25 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
26 #
27 # This file must be used under the terms of the CeCILL.
28 # This source file is licensed as described in the file COPYING, which
29 # you should have received as part of this distribution.  The terms
30 # are also available at
31 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
32 #
33
34 ##########
35 ### Makefile included stuff
36 ### Target, variable, suffixes which are supposed to be usefull in every makefile.am
37 ##########
38
39
40
41
42 VPATH = @srcdir@
43 pkgdatadir = $(datadir)/@PACKAGE@
44 pkgincludedir = $(includedir)/@PACKAGE@
45 pkglibdir = $(libdir)/@PACKAGE@
46 pkglibexecdir = $(libexecdir)/@PACKAGE@
47 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
48 install_sh_DATA = $(install_sh) -c -m 644
49 install_sh_PROGRAM = $(install_sh) -c
50 install_sh_SCRIPT = $(install_sh) -c
51 INSTALL_HEADER = $(INSTALL_DATA)
52 transform = $(program_transform_name)
53 NORMAL_INSTALL = :
54 PRE_INSTALL = :
55 POST_INSTALL = :
56 NORMAL_UNINSTALL = :
57 PRE_UNINSTALL = :
58 POST_UNINSTALL = :
59 build_triplet = @build@
60 host_triplet = @host@
61 bin_PROGRAMS = intersci$(EXEEXT)
62 DIST_COMMON = $(libsciintersci_la_include_HEADERS) \
63         $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
64         $(top_srcdir)/Makefile.incl.am
65 @NEED_JAVA_TRUE@am__append_1 = java
66 subdir = modules/intersci
67 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
68 am__aclocal_m4_deps = $(top_srcdir)/m4/docbook.m4 \
69         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
70         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
71         $(top_srcdir)/m4/intel_compiler.m4 \
72         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
73         $(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/libsmath.m4 \
74         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/libxml2.m4 \
75         $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
76         $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
77         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
78         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
79         $(top_srcdir)/m4/pvm.m4 $(top_srcdir)/m4/relocatable.m4 \
80         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
81         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
82         $(top_srcdir)/configure.ac
83 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
84         $(ACLOCAL_M4)
85 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
86 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
87 CONFIG_CLEAN_FILES =
88 CONFIG_CLEAN_VPATH_FILES =
89 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
90 am__vpath_adj = case $$p in \
91     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
92     *) f=$$p;; \
93   esac;
94 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
95 am__install_max = 40
96 am__nobase_strip_setup = \
97   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
98 am__nobase_strip = \
99   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
100 am__nobase_list = $(am__nobase_strip_setup); \
101   for p in $$list; do echo "$$p $$p"; done | \
102   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
103   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
104     if (++n[$$2] == $(am__install_max)) \
105       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
106     END { for (dir in files) print dir, files[dir] }'
107 am__base_list = \
108   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
109   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
110 am__installdirs = "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(bindir)" \
111         "$(DESTDIR)$(libsciintersci_la_etcdir)" \
112         "$(DESTDIR)$(libsciintersci_la_rootdir)" \
113         "$(DESTDIR)$(libsciintersci_la_includedir)"
114 LTLIBRARIES = $(pkglib_LTLIBRARIES)
115 libsciintersci_la_DEPENDENCIES =  \
116         $(top_builddir)/libs/MALLOC/libscimalloc.la \
117         $(top_builddir)/modules/output_stream/libscioutput_stream.la \
118         $(top_builddir)/modules/string/libscistring.la
119 am__objects_1 = libsciintersci_la-libinter.lo libsciintersci_la-out.lo
120 am_libsciintersci_la_OBJECTS = $(am__objects_1)
121 libsciintersci_la_OBJECTS = $(am_libsciintersci_la_OBJECTS)
122 libsciintersci_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
123         $(LIBTOOLFLAGS) --mode=link $(CCLD) \
124         $(libsciintersci_la_CFLAGS) $(CFLAGS) \
125         $(libsciintersci_la_LDFLAGS) $(LDFLAGS) -o $@
126 PROGRAMS = $(bin_PROGRAMS)
127 am__objects_2 = intersci-n.$(OBJEXT) getrhs.$(OBJEXT) crerhs.$(OBJEXT) \
128         variables.$(OBJEXT) read.$(OBJEXT) fornames.$(OBJEXT) \
129         out-e.$(OBJEXT) outext.$(OBJEXT) declare.$(OBJEXT) \
130         opt.$(OBJEXT) check.$(OBJEXT)
131 am_intersci_OBJECTS = $(am__objects_2)
132 intersci_OBJECTS = $(am_intersci_OBJECTS)
133 intersci_LDADD = $(LDADD)
134 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
135 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
136 am__depfiles_maybe = depfiles
137 am__mv = mv -f
138 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
139         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
140 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
141         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
142         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
143 CCLD = $(CC)
144 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
145         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
146         $(LDFLAGS) -o $@
147 SOURCES = $(libsciintersci_la_SOURCES) $(intersci_SOURCES)
148 DIST_SOURCES = $(libsciintersci_la_SOURCES) $(intersci_SOURCES)
149 DATA = $(libsciintersci_la_etc_DATA) $(libsciintersci_la_root_DATA)
150 HEADERS = $(libsciintersci_la_include_HEADERS)
151 ETAGS = etags
152 CTAGS = ctags
153 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
154 ACLOCAL = @ACLOCAL@
155 ALL_LINGUAS = @ALL_LINGUAS@
156 AMTAR = @AMTAR@
157 ANT = @ANT@
158 ANTLR = @ANTLR@
159 AR = @AR@
160 AUTOCONF = @AUTOCONF@
161 AUTOHEADER = @AUTOHEADER@
162 AUTOMAKE = @AUTOMAKE@
163 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
164 AWK = @AWK@
165 BATIK = @BATIK@
166 BLAS_LIBS = @BLAS_LIBS@
167 CC = @CC@
168 CCDEPMODE = @CCDEPMODE@
169 CFLAGS = @CFLAGS@
170 CHECKSTYLE = @CHECKSTYLE@
171 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
172 COMMONS_IO = @COMMONS_IO@
173 COMMONS_LOGGING = @COMMONS_LOGGING@
174 CPP = @CPP@
175 CPPFLAGS = @CPPFLAGS@
176 CXX = @CXX@
177 CXXCPP = @CXXCPP@
178 CXXDEPMODE = @CXXDEPMODE@
179 CXXFLAGS = @CXXFLAGS@
180 CYGPATH_W = @CYGPATH_W@
181 DEFS = @DEFS@
182 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
183 DEPDIR = @DEPDIR@
184 DOCBOOK_ROOT = @DOCBOOK_ROOT@
185 DSYMUTIL = @DSYMUTIL@
186 DUMPBIN = @DUMPBIN@
187 ECHO_C = @ECHO_C@
188 ECHO_N = @ECHO_N@
189 ECHO_T = @ECHO_T@
190 EGREP = @EGREP@
191 EXEEXT = @EXEEXT@
192 F77 = @F77@
193 FFLAGS = @FFLAGS@
194 FFTW3_LIB = @FFTW3_LIB@
195 FFTW_ENABLE = @FFTW_ENABLE@
196 FGREP = @FGREP@
197 FLEXDOCK = @FLEXDOCK@
198 FLIBS = @FLIBS@
199 FOP = @FOP@
200 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
201 GIWS_BIN = @GIWS_BIN@
202 GLUEGEN_RT = @GLUEGEN_RT@
203 GMSGFMT = @GMSGFMT@
204 GMSGFMT_015 = @GMSGFMT_015@
205 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
206 GREP = @GREP@
207 GUI_ENABLE = @GUI_ENABLE@
208 HDF5_CFLAGS = @HDF5_CFLAGS@
209 HDF5_ENABLE = @HDF5_ENABLE@
210 HDF5_LIBS = @HDF5_LIBS@
211 HELP_ENABLE = @HELP_ENABLE@
212 INSTALL = @INSTALL@
213 INSTALL_DATA = @INSTALL_DATA@
214 INSTALL_PROGRAM = @INSTALL_PROGRAM@
215 INSTALL_SCRIPT = @INSTALL_SCRIPT@
216 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
217 INTLLIBS = @INTLLIBS@
218 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
219 JAR = @JAR@
220 JAVA = @JAVA@
221 JAVAC = @JAVAC@
222 JAVAH = @JAVAH@
223 JAVASCI_ENABLE = @JAVASCI_ENABLE@
224 JAVA_DEBUG_OPTIONS = @JAVA_DEBUG_OPTIONS@
225 JAVA_ENABLE = @JAVA_ENABLE@
226 JAVA_G = @JAVA_G@
227 JAVA_HOME = @JAVA_HOME@
228 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
229 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
230 JDB = @JDB@
231 JEUCLID_CORE = @JEUCLID_CORE@
232 JGRAPHX = @JGRAPHX@
233 JHALL = @JHALL@
234 JHDF5 = @JHDF5@
235 JLATEXMATH = @JLATEXMATH@
236 JOGL = @JOGL@
237 JROSETTA_API = @JROSETTA_API@
238 JROSETTA_ENGINE = @JROSETTA_ENGINE@
239 LAPACK_LIBS = @LAPACK_LIBS@
240 LD = @LD@
241 LDFLAGS = @LDFLAGS@
242 LIBICONV = @LIBICONV@
243 LIBINTL = @LIBINTL@
244 LIBOBJS = @LIBOBJS@
245 LIBS = @LIBS@
246 LIBTOOL = @LIBTOOL@
247 LIPO = @LIPO@
248 LN_S = @LN_S@
249 LOOKS = @LOOKS@
250 LTLIBICONV = @LTLIBICONV@
251 LTLIBINTL = @LTLIBINTL@
252 LTLIBOBJS = @LTLIBOBJS@
253 MAINT = @MAINT@
254 MAKEINFO = @MAKEINFO@
255 MATIO_CFLAGS = @MATIO_CFLAGS@
256 MATIO_ENABLE = @MATIO_ENABLE@
257 MATIO_LIBS = @MATIO_LIBS@
258 MKDIR_P = @MKDIR_P@
259 MPI_ENABLE = @MPI_ENABLE@
260 MSGCAT = @MSGCAT@
261 MSGFMT = @MSGFMT@
262 MSGFMT_015 = @MSGFMT_015@
263 MSGMERGE = @MSGMERGE@
264 NM = @NM@
265 NMEDIT = @NMEDIT@
266 OBJDUMP = @OBJDUMP@
267 OBJEXT = @OBJEXT@
268 OCAMLC = @OCAMLC@
269 OCAMLDEP = @OCAMLDEP@
270 OCAMLLEX = @OCAMLLEX@
271 OCAMLOPT = @OCAMLOPT@
272 OCAMLYACC = @OCAMLYACC@
273 OPENMPI_CC = @OPENMPI_CC@
274 OPENMPI_FLAGS = @OPENMPI_FLAGS@
275 OPENMPI_LIBS = @OPENMPI_LIBS@
276 OTOOL = @OTOOL@
277 OTOOL64 = @OTOOL64@
278 PACKAGE = @PACKAGE@
279 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
280 PACKAGE_NAME = @PACKAGE_NAME@
281 PACKAGE_STRING = @PACKAGE_STRING@
282 PACKAGE_TARNAME = @PACKAGE_TARNAME@
283 PACKAGE_URL = @PACKAGE_URL@
284 PACKAGE_VERSION = @PACKAGE_VERSION@
285 PATH_SEPARATOR = @PATH_SEPARATOR@
286 PCRE_CFLAGS = @PCRE_CFLAGS@
287 PCRE_CONFIG = @PCRE_CONFIG@
288 PCRE_LIBS = @PCRE_LIBS@
289 PCRE_VERSION = @PCRE_VERSION@
290 PKG_CONFIG = @PKG_CONFIG@
291 POSUB = @POSUB@
292 POW_LIB = @POW_LIB@
293 PVMGETARCH = @PVMGETARCH@
294 PVM_ARCH = @PVM_ARCH@
295 PVM_ENABLE = @PVM_ENABLE@
296 PVM_INCLUDE = @PVM_INCLUDE@
297 PVM_LIB = @PVM_LIB@
298 PYTHON = @PYTHON@
299 RANLIB = @RANLIB@
300 RELOCATABLE = @RELOCATABLE@
301 RT_LIB = @RT_LIB@
302 SAXON = @SAXON@
303 SCICOS_ENABLE = @SCICOS_ENABLE@
304 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
305 SED = @SED@
306 SET_MAKE = @SET_MAKE@
307 SET_RELOCATABLE = @SET_RELOCATABLE@
308 SHELL = @SHELL@
309 SKINLF = @SKINLF@
310 SPLINT = @SPLINT@
311 STRIP = @STRIP@
312 SWIG_BIN = @SWIG_BIN@
313 SWIG_JAVA = @SWIG_JAVA@
314 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
315 TCLTK_LIBS = @TCLTK_LIBS@
316 TCL_INC_PATH = @TCL_INC_PATH@
317 TK_INC_PATH = @TK_INC_PATH@
318 UMFPACK_ENABLE = @UMFPACK_ENABLE@
319 UMFPACK_LIB = @UMFPACK_LIB@
320 USE_NLS = @USE_NLS@
321 VERSION = @VERSION@
322 WITH_OCAML = @WITH_OCAML@
323 WITH_TKSCI = @WITH_TKSCI@
324 XGETTEXT = @XGETTEXT@
325 XGETTEXT_015 = @XGETTEXT_015@
326 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
327 XMKMF = @XMKMF@
328 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
329 XML_APIS_EXT = @XML_APIS_EXT@
330 XML_CONFIG = @XML_CONFIG@
331 XML_FLAGS = @XML_FLAGS@
332 XML_LIBS = @XML_LIBS@
333 XML_VERSION = @XML_VERSION@
334 X_CFLAGS = @X_CFLAGS@
335 X_EXTRA_LIBS = @X_EXTRA_LIBS@
336 X_LIBS = @X_LIBS@
337 X_PRE_LIBS = @X_PRE_LIBS@
338 abs_builddir = @abs_builddir@
339 abs_srcdir = @abs_srcdir@
340 abs_top_builddir = @abs_top_builddir@
341 abs_top_srcdir = @abs_top_srcdir@
342 ac_ct_CC = @ac_ct_CC@
343 ac_ct_CXX = @ac_ct_CXX@
344 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
345 ac_ct_F77 = @ac_ct_F77@
346 am__include = @am__include@
347 am__leading_dot = @am__leading_dot@
348 am__quote = @am__quote@
349 am__tar = @am__tar@
350 am__untar = @am__untar@
351 bindir = @bindir@
352 build = @build@
353 build_alias = @build_alias@
354 build_cpu = @build_cpu@
355 build_os = @build_os@
356 build_vendor = @build_vendor@
357 builddir = @builddir@
358 cxx_present = @cxx_present@
359 datadir = @datadir@
360 datarootdir = @datarootdir@
361 docdir = @docdir@
362 dvidir = @dvidir@
363 exec_prefix = @exec_prefix@
364 host = @host@
365 host_alias = @host_alias@
366 host_cpu = @host_cpu@
367 host_os = @host_os@
368 host_vendor = @host_vendor@
369 htmldir = @htmldir@
370 includedir = @includedir@
371 infodir = @infodir@
372 install_sh = @install_sh@
373 libdir = @libdir@
374 libexecdir = @libexecdir@
375 localedir = @localedir@
376 localstatedir = @localstatedir@
377 mandir = @mandir@
378 mkdir_p = @mkdir_p@
379 oldincludedir = @oldincludedir@
380 pdfdir = @pdfdir@
381 prefix = @prefix@
382 program_transform_name = @program_transform_name@
383 psdir = @psdir@
384 sbindir = @sbindir@
385 sharedstatedir = @sharedstatedir@
386 srcdir = @srcdir@
387 sysconfdir = @sysconfdir@
388 target_alias = @target_alias@
389 top_build_prefix = @top_build_prefix@
390 top_builddir = @top_builddir@
391 top_srcdir = @top_srcdir@
392 INTERSCI_LIB_C_SOURCES = \
393 src/lib/libinter.c \
394 src/lib/out.c
395
396 INTERSCI_EXE_C_SOURCES = \
397 src/exe/intersci-n.c \
398 src/exe/getrhs.c \
399 src/exe/crerhs.c \
400 src/exe/variables.c \
401 src/exe/read.c \
402 src/exe/fornames.c \
403 src/exe/out-e.c \
404 src/exe/outext.c \
405 src/exe/declare.c \
406 src/exe/opt.c \
407 src/exe/check.c
408
409 libsciintersci_la_includedir = $(pkgincludedir)
410 libsciintersci_la_include_HEADERS = includes/libinter.h
411 pkglib_LTLIBRARIES = libsciintersci.la
412 libsciintersci_la_LDFLAGS = -version-info $(SCILAB_LIBRARY_VERSION)
413 intersci_SOURCES = $(INTERSCI_EXE_C_SOURCES)
414 libsciintersci_la_SOURCES = $(INTERSCI_LIB_C_SOURCES)
415 libsciintersci_la_CFLAGS = -I$(top_srcdir)/libs/MALLOC/includes/ \
416                                 -I$(top_srcdir)/modules/output_stream/includes \
417                                 -I$(srcdir)/includes \
418                 -I$(top_srcdir)/modules/string/includes 
419
420
421 # For the code check (splint)
422 CHECK_SRC = $(libsciintersci_la_SOURCES)
423 INCLUDE_FLAGS = $(libsciintersci_la_CFLAGS)
424 libsciintersci_la_LIBADD = \
425         $(top_builddir)/libs/MALLOC/libscimalloc.la \
426         $(top_builddir)/modules/output_stream/libscioutput_stream.la \
427     $(top_builddir)/modules/string/libscistring.la
428
429
430 #### Target ######
431 modulename = intersci
432
433 #### intersci : Conf files ####
434 libsciintersci_la_rootdir = $(mydatadir)
435 libsciintersci_la_root_DATA = changelog.txt license.txt readme.txt version.xml
436
437 ####¬†intersci : init scripts ####
438 libsciintersci_la_etcdir = $(mydatadir)/etc
439 libsciintersci_la_etc_DATA = etc/intersci.quit etc/intersci.start
440
441 # Where all the Scilab stuff is installed (macros, help, ...)
442 mydatadir = $(pkgdatadir)/modules/$(modulename)
443
444 # splint options
445 SPLINT_OPTIONS = -weak -booltype BOOL
446
447 ########################### JAVA ######################################
448 #### We are delegating java compilation to ant... Thanks to that
449 #### the procedure will be the same with Microsoft Windows (C)
450 #### and Linux/Unix
451 #######################################################################
452 TARGETS_ALL = $(am__append_1)
453
454 ################ MACROS ######################
455 # Rule to build a macro
456 # NOT USED  AT THE MOMENT
457 SUFFIXES = .sci 
458
459 ########### INSTALL DOCUMENTATION ###################
460
461 # Install documentation files into the right target
462 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
463 # automake needs the html files to be present which is not the case when
464 # we are building Scilab
465
466 # Where it should be installed
467 pkgdocdir = $(mydatadir)
468
469 # What is the mask of the help source
470 DOCMASKXML = *.xml
471
472 # What is the mask of the MathML sources
473 DOCMASKMML = *.mml
474
475 ########### INSTALL DATA ###################
476 # Install macros, help & demos
477 # Where it should be installed
478 pkgmacrosdir = $(mydatadir)
479 # Which directory we process
480 MACRODIRS = macros/
481 # Mask of the Scilab sources macros
482 MACROMASK = *.sci
483 # Mask of the Scilab executable sources macros
484 MACROBUILDMASK = *.sce
485 # Mask of the Scilab compiled macros
486 MACROBINMASK = *.bin
487 # List of the standard directory for tests
488 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests
489 # Where the demos should be installed
490 pkgdemosdir = $(mydatadir)
491 # List of the standard directory for demos
492 DEMOS_DIR = demos
493 # List of the standard directory for examples
494 EXAMPLES_DIR = examples
495 # Where to export JAVA archives (.jar)
496 JARDIR = jar/
497 # JAR files mask
498 JARMASK = *.jar
499 # Chapter file 
500 HELP_CHAPTERDIR = help/
501 HELP_CHAPTERFILE = addchapter.sce
502 HELP_CHAPTERLANG = en_US fr_FR pt_BR
503 all: all-am
504
505 .SUFFIXES:
506 .SUFFIXES: .sci .bin .c .lo .o .obj
507 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
508         @for dep in $?; do \
509           case '$(am__configure_deps)' in \
510             *$$dep*) \
511               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
512                 && { if test -f $@; then exit 0; else break; fi; }; \
513               exit 1;; \
514           esac; \
515         done; \
516         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/intersci/Makefile'; \
517         $(am__cd) $(top_srcdir) && \
518           $(AUTOMAKE) --foreign modules/intersci/Makefile
519 .PRECIOUS: Makefile
520 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
521         @case '$?' in \
522           *config.status*) \
523             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
524           *) \
525             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
526             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
527         esac;
528
529 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
530         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
531
532 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
533         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
534 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
535         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
536 $(am__aclocal_m4_deps):
537 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
538         @$(NORMAL_INSTALL)
539         test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
540         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
541         list2=; for p in $$list; do \
542           if test -f $$p; then \
543             list2="$$list2 $$p"; \
544           else :; fi; \
545         done; \
546         test -z "$$list2" || { \
547           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
548           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
549         }
550
551 uninstall-pkglibLTLIBRARIES:
552         @$(NORMAL_UNINSTALL)
553         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
554         for p in $$list; do \
555           $(am__strip_dir) \
556           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
557           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
558         done
559
560 clean-pkglibLTLIBRARIES:
561         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
562         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
563           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
564           test "$$dir" != "$$p" || dir=.; \
565           echo "rm -f \"$${dir}/so_locations\""; \
566           rm -f "$${dir}/so_locations"; \
567         done
568 libsciintersci.la: $(libsciintersci_la_OBJECTS) $(libsciintersci_la_DEPENDENCIES) 
569         $(libsciintersci_la_LINK) -rpath $(pkglibdir) $(libsciintersci_la_OBJECTS) $(libsciintersci_la_LIBADD) $(LIBS)
570 install-binPROGRAMS: $(bin_PROGRAMS)
571         @$(NORMAL_INSTALL)
572         test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
573         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
574         for p in $$list; do echo "$$p $$p"; done | \
575         sed 's/$(EXEEXT)$$//' | \
576         while read p p1; do if test -f $$p || test -f $$p1; \
577           then echo "$$p"; echo "$$p"; else :; fi; \
578         done | \
579         sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
580             -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
581         sed 'N;N;N;s,\n, ,g' | \
582         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
583           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
584             if ($$2 == $$4) files[d] = files[d] " " $$1; \
585             else { print "f", $$3 "/" $$4, $$1; } } \
586           END { for (d in files) print "f", d, files[d] }' | \
587         while read type dir files; do \
588             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
589             test -z "$$files" || { \
590             echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
591             $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
592             } \
593         ; done
594
595 uninstall-binPROGRAMS:
596         @$(NORMAL_UNINSTALL)
597         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
598         files=`for p in $$list; do echo "$$p"; done | \
599           sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
600               -e 's/$$/$(EXEEXT)/' `; \
601         test -n "$$list" || exit 0; \
602         echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
603         cd "$(DESTDIR)$(bindir)" && rm -f $$files
604
605 clean-binPROGRAMS:
606         @list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
607         echo " rm -f" $$list; \
608         rm -f $$list || exit $$?; \
609         test -n "$(EXEEXT)" || exit 0; \
610         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
611         echo " rm -f" $$list; \
612         rm -f $$list
613 intersci$(EXEEXT): $(intersci_OBJECTS) $(intersci_DEPENDENCIES) 
614         @rm -f intersci$(EXEEXT)
615         $(LINK) $(intersci_OBJECTS) $(intersci_LDADD) $(LIBS)
616
617 mostlyclean-compile:
618         -rm -f *.$(OBJEXT)
619
620 distclean-compile:
621         -rm -f *.tab.c
622
623 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/check.Po@am__quote@
624 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/crerhs.Po@am__quote@
625 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/declare.Po@am__quote@
626 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fornames.Po@am__quote@
627 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getrhs.Po@am__quote@
628 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/intersci-n.Po@am__quote@
629 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciintersci_la-libinter.Plo@am__quote@
630 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciintersci_la-out.Plo@am__quote@
631 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/opt.Po@am__quote@
632 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/out-e.Po@am__quote@
633 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/outext.Po@am__quote@
634 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/read.Po@am__quote@
635 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/variables.Po@am__quote@
636
637 .c.o:
638 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
639 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
640 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
641 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
642 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
643
644 .c.obj:
645 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
646 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
647 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
648 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
649 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
650
651 .c.lo:
652 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
653 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
654 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
655 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
656 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
657
658 libsciintersci_la-libinter.lo: src/lib/libinter.c
659 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciintersci_la_CFLAGS) $(CFLAGS) -MT libsciintersci_la-libinter.lo -MD -MP -MF $(DEPDIR)/libsciintersci_la-libinter.Tpo -c -o libsciintersci_la-libinter.lo `test -f 'src/lib/libinter.c' || echo '$(srcdir)/'`src/lib/libinter.c
660 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciintersci_la-libinter.Tpo $(DEPDIR)/libsciintersci_la-libinter.Plo
661 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/lib/libinter.c' object='libsciintersci_la-libinter.lo' libtool=yes @AMDEPBACKSLASH@
662 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
663 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciintersci_la_CFLAGS) $(CFLAGS) -c -o libsciintersci_la-libinter.lo `test -f 'src/lib/libinter.c' || echo '$(srcdir)/'`src/lib/libinter.c
664
665 libsciintersci_la-out.lo: src/lib/out.c
666 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciintersci_la_CFLAGS) $(CFLAGS) -MT libsciintersci_la-out.lo -MD -MP -MF $(DEPDIR)/libsciintersci_la-out.Tpo -c -o libsciintersci_la-out.lo `test -f 'src/lib/out.c' || echo '$(srcdir)/'`src/lib/out.c
667 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciintersci_la-out.Tpo $(DEPDIR)/libsciintersci_la-out.Plo
668 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/lib/out.c' object='libsciintersci_la-out.lo' libtool=yes @AMDEPBACKSLASH@
669 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
670 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciintersci_la_CFLAGS) $(CFLAGS) -c -o libsciintersci_la-out.lo `test -f 'src/lib/out.c' || echo '$(srcdir)/'`src/lib/out.c
671
672 intersci-n.o: src/exe/intersci-n.c
673 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT intersci-n.o -MD -MP -MF $(DEPDIR)/intersci-n.Tpo -c -o intersci-n.o `test -f 'src/exe/intersci-n.c' || echo '$(srcdir)/'`src/exe/intersci-n.c
674 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/intersci-n.Tpo $(DEPDIR)/intersci-n.Po
675 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/intersci-n.c' object='intersci-n.o' libtool=no @AMDEPBACKSLASH@
676 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
677 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o intersci-n.o `test -f 'src/exe/intersci-n.c' || echo '$(srcdir)/'`src/exe/intersci-n.c
678
679 intersci-n.obj: src/exe/intersci-n.c
680 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT intersci-n.obj -MD -MP -MF $(DEPDIR)/intersci-n.Tpo -c -o intersci-n.obj `if test -f 'src/exe/intersci-n.c'; then $(CYGPATH_W) 'src/exe/intersci-n.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/intersci-n.c'; fi`
681 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/intersci-n.Tpo $(DEPDIR)/intersci-n.Po
682 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/intersci-n.c' object='intersci-n.obj' libtool=no @AMDEPBACKSLASH@
683 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
684 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o intersci-n.obj `if test -f 'src/exe/intersci-n.c'; then $(CYGPATH_W) 'src/exe/intersci-n.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/intersci-n.c'; fi`
685
686 getrhs.o: src/exe/getrhs.c
687 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT getrhs.o -MD -MP -MF $(DEPDIR)/getrhs.Tpo -c -o getrhs.o `test -f 'src/exe/getrhs.c' || echo '$(srcdir)/'`src/exe/getrhs.c
688 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/getrhs.Tpo $(DEPDIR)/getrhs.Po
689 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/getrhs.c' object='getrhs.o' libtool=no @AMDEPBACKSLASH@
690 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
691 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o getrhs.o `test -f 'src/exe/getrhs.c' || echo '$(srcdir)/'`src/exe/getrhs.c
692
693 getrhs.obj: src/exe/getrhs.c
694 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT getrhs.obj -MD -MP -MF $(DEPDIR)/getrhs.Tpo -c -o getrhs.obj `if test -f 'src/exe/getrhs.c'; then $(CYGPATH_W) 'src/exe/getrhs.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/getrhs.c'; fi`
695 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/getrhs.Tpo $(DEPDIR)/getrhs.Po
696 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/getrhs.c' object='getrhs.obj' libtool=no @AMDEPBACKSLASH@
697 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
698 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o getrhs.obj `if test -f 'src/exe/getrhs.c'; then $(CYGPATH_W) 'src/exe/getrhs.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/getrhs.c'; fi`
699
700 crerhs.o: src/exe/crerhs.c
701 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT crerhs.o -MD -MP -MF $(DEPDIR)/crerhs.Tpo -c -o crerhs.o `test -f 'src/exe/crerhs.c' || echo '$(srcdir)/'`src/exe/crerhs.c
702 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/crerhs.Tpo $(DEPDIR)/crerhs.Po
703 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/crerhs.c' object='crerhs.o' libtool=no @AMDEPBACKSLASH@
704 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
705 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o crerhs.o `test -f 'src/exe/crerhs.c' || echo '$(srcdir)/'`src/exe/crerhs.c
706
707 crerhs.obj: src/exe/crerhs.c
708 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT crerhs.obj -MD -MP -MF $(DEPDIR)/crerhs.Tpo -c -o crerhs.obj `if test -f 'src/exe/crerhs.c'; then $(CYGPATH_W) 'src/exe/crerhs.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/crerhs.c'; fi`
709 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/crerhs.Tpo $(DEPDIR)/crerhs.Po
710 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/crerhs.c' object='crerhs.obj' libtool=no @AMDEPBACKSLASH@
711 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
712 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o crerhs.obj `if test -f 'src/exe/crerhs.c'; then $(CYGPATH_W) 'src/exe/crerhs.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/crerhs.c'; fi`
713
714 variables.o: src/exe/variables.c
715 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT variables.o -MD -MP -MF $(DEPDIR)/variables.Tpo -c -o variables.o `test -f 'src/exe/variables.c' || echo '$(srcdir)/'`src/exe/variables.c
716 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/variables.Tpo $(DEPDIR)/variables.Po
717 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/variables.c' object='variables.o' libtool=no @AMDEPBACKSLASH@
718 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
719 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o variables.o `test -f 'src/exe/variables.c' || echo '$(srcdir)/'`src/exe/variables.c
720
721 variables.obj: src/exe/variables.c
722 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT variables.obj -MD -MP -MF $(DEPDIR)/variables.Tpo -c -o variables.obj `if test -f 'src/exe/variables.c'; then $(CYGPATH_W) 'src/exe/variables.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/variables.c'; fi`
723 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/variables.Tpo $(DEPDIR)/variables.Po
724 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/variables.c' object='variables.obj' libtool=no @AMDEPBACKSLASH@
725 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
726 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o variables.obj `if test -f 'src/exe/variables.c'; then $(CYGPATH_W) 'src/exe/variables.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/variables.c'; fi`
727
728 read.o: src/exe/read.c
729 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT read.o -MD -MP -MF $(DEPDIR)/read.Tpo -c -o read.o `test -f 'src/exe/read.c' || echo '$(srcdir)/'`src/exe/read.c
730 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/read.Tpo $(DEPDIR)/read.Po
731 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/read.c' object='read.o' libtool=no @AMDEPBACKSLASH@
732 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
733 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o read.o `test -f 'src/exe/read.c' || echo '$(srcdir)/'`src/exe/read.c
734
735 read.obj: src/exe/read.c
736 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT read.obj -MD -MP -MF $(DEPDIR)/read.Tpo -c -o read.obj `if test -f 'src/exe/read.c'; then $(CYGPATH_W) 'src/exe/read.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/read.c'; fi`
737 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/read.Tpo $(DEPDIR)/read.Po
738 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/read.c' object='read.obj' libtool=no @AMDEPBACKSLASH@
739 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
740 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o read.obj `if test -f 'src/exe/read.c'; then $(CYGPATH_W) 'src/exe/read.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/read.c'; fi`
741
742 fornames.o: src/exe/fornames.c
743 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT fornames.o -MD -MP -MF $(DEPDIR)/fornames.Tpo -c -o fornames.o `test -f 'src/exe/fornames.c' || echo '$(srcdir)/'`src/exe/fornames.c
744 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/fornames.Tpo $(DEPDIR)/fornames.Po
745 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/fornames.c' object='fornames.o' libtool=no @AMDEPBACKSLASH@
746 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
747 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fornames.o `test -f 'src/exe/fornames.c' || echo '$(srcdir)/'`src/exe/fornames.c
748
749 fornames.obj: src/exe/fornames.c
750 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT fornames.obj -MD -MP -MF $(DEPDIR)/fornames.Tpo -c -o fornames.obj `if test -f 'src/exe/fornames.c'; then $(CYGPATH_W) 'src/exe/fornames.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/fornames.c'; fi`
751 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/fornames.Tpo $(DEPDIR)/fornames.Po
752 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/fornames.c' object='fornames.obj' libtool=no @AMDEPBACKSLASH@
753 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
754 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fornames.obj `if test -f 'src/exe/fornames.c'; then $(CYGPATH_W) 'src/exe/fornames.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/fornames.c'; fi`
755
756 out-e.o: src/exe/out-e.c
757 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT out-e.o -MD -MP -MF $(DEPDIR)/out-e.Tpo -c -o out-e.o `test -f 'src/exe/out-e.c' || echo '$(srcdir)/'`src/exe/out-e.c
758 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/out-e.Tpo $(DEPDIR)/out-e.Po
759 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/out-e.c' object='out-e.o' libtool=no @AMDEPBACKSLASH@
760 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
761 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o out-e.o `test -f 'src/exe/out-e.c' || echo '$(srcdir)/'`src/exe/out-e.c
762
763 out-e.obj: src/exe/out-e.c
764 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT out-e.obj -MD -MP -MF $(DEPDIR)/out-e.Tpo -c -o out-e.obj `if test -f 'src/exe/out-e.c'; then $(CYGPATH_W) 'src/exe/out-e.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/out-e.c'; fi`
765 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/out-e.Tpo $(DEPDIR)/out-e.Po
766 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/out-e.c' object='out-e.obj' libtool=no @AMDEPBACKSLASH@
767 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
768 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o out-e.obj `if test -f 'src/exe/out-e.c'; then $(CYGPATH_W) 'src/exe/out-e.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/out-e.c'; fi`
769
770 outext.o: src/exe/outext.c
771 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT outext.o -MD -MP -MF $(DEPDIR)/outext.Tpo -c -o outext.o `test -f 'src/exe/outext.c' || echo '$(srcdir)/'`src/exe/outext.c
772 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/outext.Tpo $(DEPDIR)/outext.Po
773 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/outext.c' object='outext.o' libtool=no @AMDEPBACKSLASH@
774 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
775 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o outext.o `test -f 'src/exe/outext.c' || echo '$(srcdir)/'`src/exe/outext.c
776
777 outext.obj: src/exe/outext.c
778 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT outext.obj -MD -MP -MF $(DEPDIR)/outext.Tpo -c -o outext.obj `if test -f 'src/exe/outext.c'; then $(CYGPATH_W) 'src/exe/outext.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/outext.c'; fi`
779 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/outext.Tpo $(DEPDIR)/outext.Po
780 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/outext.c' object='outext.obj' libtool=no @AMDEPBACKSLASH@
781 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
782 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o outext.obj `if test -f 'src/exe/outext.c'; then $(CYGPATH_W) 'src/exe/outext.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/outext.c'; fi`
783
784 declare.o: src/exe/declare.c
785 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT declare.o -MD -MP -MF $(DEPDIR)/declare.Tpo -c -o declare.o `test -f 'src/exe/declare.c' || echo '$(srcdir)/'`src/exe/declare.c
786 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/declare.Tpo $(DEPDIR)/declare.Po
787 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/declare.c' object='declare.o' libtool=no @AMDEPBACKSLASH@
788 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
789 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o declare.o `test -f 'src/exe/declare.c' || echo '$(srcdir)/'`src/exe/declare.c
790
791 declare.obj: src/exe/declare.c
792 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT declare.obj -MD -MP -MF $(DEPDIR)/declare.Tpo -c -o declare.obj `if test -f 'src/exe/declare.c'; then $(CYGPATH_W) 'src/exe/declare.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/declare.c'; fi`
793 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/declare.Tpo $(DEPDIR)/declare.Po
794 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/declare.c' object='declare.obj' libtool=no @AMDEPBACKSLASH@
795 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
796 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o declare.obj `if test -f 'src/exe/declare.c'; then $(CYGPATH_W) 'src/exe/declare.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/declare.c'; fi`
797
798 opt.o: src/exe/opt.c
799 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT opt.o -MD -MP -MF $(DEPDIR)/opt.Tpo -c -o opt.o `test -f 'src/exe/opt.c' || echo '$(srcdir)/'`src/exe/opt.c
800 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/opt.Tpo $(DEPDIR)/opt.Po
801 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/opt.c' object='opt.o' libtool=no @AMDEPBACKSLASH@
802 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
803 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o opt.o `test -f 'src/exe/opt.c' || echo '$(srcdir)/'`src/exe/opt.c
804
805 opt.obj: src/exe/opt.c
806 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT opt.obj -MD -MP -MF $(DEPDIR)/opt.Tpo -c -o opt.obj `if test -f 'src/exe/opt.c'; then $(CYGPATH_W) 'src/exe/opt.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/opt.c'; fi`
807 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/opt.Tpo $(DEPDIR)/opt.Po
808 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/opt.c' object='opt.obj' libtool=no @AMDEPBACKSLASH@
809 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
810 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o opt.obj `if test -f 'src/exe/opt.c'; then $(CYGPATH_W) 'src/exe/opt.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/opt.c'; fi`
811
812 check.o: src/exe/check.c
813 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT check.o -MD -MP -MF $(DEPDIR)/check.Tpo -c -o check.o `test -f 'src/exe/check.c' || echo '$(srcdir)/'`src/exe/check.c
814 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/check.Tpo $(DEPDIR)/check.Po
815 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/check.c' object='check.o' libtool=no @AMDEPBACKSLASH@
816 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
817 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o check.o `test -f 'src/exe/check.c' || echo '$(srcdir)/'`src/exe/check.c
818
819 check.obj: src/exe/check.c
820 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT check.obj -MD -MP -MF $(DEPDIR)/check.Tpo -c -o check.obj `if test -f 'src/exe/check.c'; then $(CYGPATH_W) 'src/exe/check.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/check.c'; fi`
821 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/check.Tpo $(DEPDIR)/check.Po
822 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/exe/check.c' object='check.obj' libtool=no @AMDEPBACKSLASH@
823 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
824 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o check.obj `if test -f 'src/exe/check.c'; then $(CYGPATH_W) 'src/exe/check.c'; else $(CYGPATH_W) '$(srcdir)/src/exe/check.c'; fi`
825
826 mostlyclean-libtool:
827         -rm -f *.lo
828
829 clean-libtool:
830         -rm -rf .libs _libs
831 install-libsciintersci_la_etcDATA: $(libsciintersci_la_etc_DATA)
832         @$(NORMAL_INSTALL)
833         test -z "$(libsciintersci_la_etcdir)" || $(MKDIR_P) "$(DESTDIR)$(libsciintersci_la_etcdir)"
834         @list='$(libsciintersci_la_etc_DATA)'; test -n "$(libsciintersci_la_etcdir)" || list=; \
835         for p in $$list; do \
836           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
837           echo "$$d$$p"; \
838         done | $(am__base_list) | \
839         while read files; do \
840           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciintersci_la_etcdir)'"; \
841           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciintersci_la_etcdir)" || exit $$?; \
842         done
843
844 uninstall-libsciintersci_la_etcDATA:
845         @$(NORMAL_UNINSTALL)
846         @list='$(libsciintersci_la_etc_DATA)'; test -n "$(libsciintersci_la_etcdir)" || list=; \
847         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
848         test -n "$$files" || exit 0; \
849         echo " ( cd '$(DESTDIR)$(libsciintersci_la_etcdir)' && rm -f" $$files ")"; \
850         cd "$(DESTDIR)$(libsciintersci_la_etcdir)" && rm -f $$files
851 install-libsciintersci_la_rootDATA: $(libsciintersci_la_root_DATA)
852         @$(NORMAL_INSTALL)
853         test -z "$(libsciintersci_la_rootdir)" || $(MKDIR_P) "$(DESTDIR)$(libsciintersci_la_rootdir)"
854         @list='$(libsciintersci_la_root_DATA)'; test -n "$(libsciintersci_la_rootdir)" || list=; \
855         for p in $$list; do \
856           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
857           echo "$$d$$p"; \
858         done | $(am__base_list) | \
859         while read files; do \
860           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciintersci_la_rootdir)'"; \
861           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciintersci_la_rootdir)" || exit $$?; \
862         done
863
864 uninstall-libsciintersci_la_rootDATA:
865         @$(NORMAL_UNINSTALL)
866         @list='$(libsciintersci_la_root_DATA)'; test -n "$(libsciintersci_la_rootdir)" || list=; \
867         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
868         test -n "$$files" || exit 0; \
869         echo " ( cd '$(DESTDIR)$(libsciintersci_la_rootdir)' && rm -f" $$files ")"; \
870         cd "$(DESTDIR)$(libsciintersci_la_rootdir)" && rm -f $$files
871 install-libsciintersci_la_includeHEADERS: $(libsciintersci_la_include_HEADERS)
872         @$(NORMAL_INSTALL)
873         test -z "$(libsciintersci_la_includedir)" || $(MKDIR_P) "$(DESTDIR)$(libsciintersci_la_includedir)"
874         @list='$(libsciintersci_la_include_HEADERS)'; test -n "$(libsciintersci_la_includedir)" || list=; \
875         for p in $$list; do \
876           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
877           echo "$$d$$p"; \
878         done | $(am__base_list) | \
879         while read files; do \
880           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libsciintersci_la_includedir)'"; \
881           $(INSTALL_HEADER) $$files "$(DESTDIR)$(libsciintersci_la_includedir)" || exit $$?; \
882         done
883
884 uninstall-libsciintersci_la_includeHEADERS:
885         @$(NORMAL_UNINSTALL)
886         @list='$(libsciintersci_la_include_HEADERS)'; test -n "$(libsciintersci_la_includedir)" || list=; \
887         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
888         test -n "$$files" || exit 0; \
889         echo " ( cd '$(DESTDIR)$(libsciintersci_la_includedir)' && rm -f" $$files ")"; \
890         cd "$(DESTDIR)$(libsciintersci_la_includedir)" && rm -f $$files
891
892 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
893         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
894         unique=`for i in $$list; do \
895             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
896           done | \
897           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
898               END { if (nonempty) { for (i in files) print i; }; }'`; \
899         mkid -fID $$unique
900 tags: TAGS
901
902 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
903                 $(TAGS_FILES) $(LISP)
904         set x; \
905         here=`pwd`; \
906         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
907         unique=`for i in $$list; do \
908             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
909           done | \
910           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
911               END { if (nonempty) { for (i in files) print i; }; }'`; \
912         shift; \
913         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
914           test -n "$$unique" || unique=$$empty_fix; \
915           if test $$# -gt 0; then \
916             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
917               "$$@" $$unique; \
918           else \
919             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
920               $$unique; \
921           fi; \
922         fi
923 ctags: CTAGS
924 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
925                 $(TAGS_FILES) $(LISP)
926         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
927         unique=`for i in $$list; do \
928             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
929           done | \
930           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
931               END { if (nonempty) { for (i in files) print i; }; }'`; \
932         test -z "$(CTAGS_ARGS)$$unique" \
933           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
934              $$unique
935
936 GTAGS:
937         here=`$(am__cd) $(top_builddir) && pwd` \
938           && $(am__cd) $(top_srcdir) \
939           && gtags -i $(GTAGS_ARGS) "$$here"
940
941 distclean-tags:
942         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
943
944 distdir: $(DISTFILES)
945         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
946         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
947         list='$(DISTFILES)'; \
948           dist_files=`for file in $$list; do echo $$file; done | \
949           sed -e "s|^$$srcdirstrip/||;t" \
950               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
951         case $$dist_files in \
952           */*) $(MKDIR_P) `echo "$$dist_files" | \
953                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
954                            sort -u` ;; \
955         esac; \
956         for file in $$dist_files; do \
957           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
958           if test -d $$d/$$file; then \
959             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
960             if test -d "$(distdir)/$$file"; then \
961               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
962             fi; \
963             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
964               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
965               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
966             fi; \
967             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
968           else \
969             test -f "$(distdir)/$$file" \
970             || cp -p $$d/$$file "$(distdir)/$$file" \
971             || exit 1; \
972           fi; \
973         done
974 check-am: all-am
975         $(MAKE) $(AM_MAKEFLAGS) check-local
976 check: check-am
977 all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(DATA) $(HEADERS) \
978                 all-local
979 installdirs:
980         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(libsciintersci_la_etcdir)" "$(DESTDIR)$(libsciintersci_la_rootdir)" "$(DESTDIR)$(libsciintersci_la_includedir)"; do \
981           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
982         done
983 install: install-am
984 install-exec: install-exec-am
985 install-data: install-data-am
986 uninstall: uninstall-am
987
988 install-am: all-am
989         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
990
991 installcheck: installcheck-am
992 install-strip:
993         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
994           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
995           `test -z '$(STRIP)' || \
996             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
997 mostlyclean-generic:
998
999 clean-generic:
1000
1001 distclean-generic:
1002         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1003         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1004
1005 maintainer-clean-generic:
1006         @echo "This command is intended for maintainers to use"
1007         @echo "it deletes files that may require special tools to rebuild."
1008 clean: clean-am
1009
1010 clean-am: clean-binPROGRAMS clean-generic clean-libtool clean-local \
1011         clean-pkglibLTLIBRARIES mostlyclean-am
1012
1013 distclean: distclean-am
1014         -rm -rf ./$(DEPDIR)
1015         -rm -f Makefile
1016 distclean-am: clean-am distclean-compile distclean-generic \
1017         distclean-local distclean-tags
1018
1019 dvi: dvi-am
1020
1021 dvi-am:
1022
1023 html: html-am
1024
1025 html-am:
1026
1027 info: info-am
1028
1029 info-am:
1030
1031 install-data-am: install-data-local install-libsciintersci_la_etcDATA \
1032         install-libsciintersci_la_includeHEADERS \
1033         install-libsciintersci_la_rootDATA
1034
1035 install-dvi: install-dvi-am
1036
1037 install-dvi-am:
1038
1039 install-exec-am: install-binPROGRAMS install-pkglibLTLIBRARIES
1040
1041 install-html: install-html-am
1042
1043 install-html-am: install-html-local
1044
1045 install-info: install-info-am
1046
1047 install-info-am:
1048
1049 install-man:
1050
1051 install-pdf: install-pdf-am
1052
1053 install-pdf-am:
1054
1055 install-ps: install-ps-am
1056
1057 install-ps-am:
1058
1059 installcheck-am:
1060
1061 maintainer-clean: maintainer-clean-am
1062         -rm -rf ./$(DEPDIR)
1063         -rm -f Makefile
1064 maintainer-clean-am: distclean-am maintainer-clean-generic
1065
1066 mostlyclean: mostlyclean-am
1067
1068 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1069         mostlyclean-libtool
1070
1071 pdf: pdf-am
1072
1073 pdf-am:
1074
1075 ps: ps-am
1076
1077 ps-am:
1078
1079 uninstall-am: uninstall-binPROGRAMS \
1080         uninstall-libsciintersci_la_etcDATA \
1081         uninstall-libsciintersci_la_includeHEADERS \
1082         uninstall-libsciintersci_la_rootDATA \
1083         uninstall-pkglibLTLIBRARIES
1084
1085 .MAKE: check-am install-am install-strip
1086
1087 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1088         clean clean-binPROGRAMS clean-generic clean-libtool \
1089         clean-local clean-pkglibLTLIBRARIES ctags distclean \
1090         distclean-compile distclean-generic distclean-libtool \
1091         distclean-local distclean-tags distdir dvi dvi-am html html-am \
1092         info info-am install install-am install-binPROGRAMS \
1093         install-data install-data-am install-data-local install-dvi \
1094         install-dvi-am install-exec install-exec-am install-html \
1095         install-html-am install-html-local install-info \
1096         install-info-am install-libsciintersci_la_etcDATA \
1097         install-libsciintersci_la_includeHEADERS \
1098         install-libsciintersci_la_rootDATA install-man install-pdf \
1099         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1100         install-ps-am install-strip installcheck installcheck-am \
1101         installdirs maintainer-clean maintainer-clean-generic \
1102         mostlyclean mostlyclean-compile mostlyclean-generic \
1103         mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
1104         uninstall-am uninstall-binPROGRAMS \
1105         uninstall-libsciintersci_la_etcDATA \
1106         uninstall-libsciintersci_la_includeHEADERS \
1107         uninstall-libsciintersci_la_rootDATA \
1108         uninstall-pkglibLTLIBRARIES
1109
1110
1111 # This target enables tests for Scilab
1112 check-local: $(top_builddir)/scilab-bin
1113         @COMMAND="test_run('$(modulename)');quit";\
1114         export LANG=C;\
1115         $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"
1116 check-code:
1117         if test -f build.xml; then \
1118                 $(ANT) checkstyle; \
1119         fi
1120         if test -x "$(SPLINT)"; then \
1121                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1122         fi
1123 @NEED_JAVA_TRUE@java:
1124 # Some configurations needs to export JAVA_HOME in the current env
1125 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1126 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1127 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1128 @NEED_JAVA_TRUE@                $(ANT); \
1129 @NEED_JAVA_TRUE@        fi
1130
1131 @NEED_JAVA_TRUE@clean-java:
1132 # Some configurations needs to export JAVA_HOME in the current env
1133 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1134 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1135 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1136 @NEED_JAVA_TRUE@                $(ANT) clean; \
1137 @NEED_JAVA_TRUE@        fi;
1138
1139 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1140 # We call the target swig-build on the variable SWIG_WRAPPERS
1141
1142 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1143 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1144 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1145 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1146 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1147 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1148 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1149 @SWIG_TRUE@             done; \
1150 @SWIG_TRUE@     fi
1151
1152 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1153 # We call the target swig-build on the variable SWIG_WRAPPERS
1154
1155 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1156 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1157 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1158 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1159 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1160 @GIWS_TRUE@                     $(GIWS_BIN) --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1161 @GIWS_TRUE@             done; \
1162 @GIWS_TRUE@     fi
1163
1164 macros:
1165         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1166                 echo "Error : Cannot build $< : Scilab has not been built"; \
1167         else \
1168                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1169         fi)
1170
1171 # Removes the macros
1172 clean-macros:
1173 # Removes macros (*.bin generated from .sci)
1174         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1175                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1176                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1177         done
1178
1179 all-local: $(TARGETS_ALL)
1180
1181 .sci.bin:
1182         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1183         echo "Error : Cannot build $< : Scilab has not been build"; \
1184         else \
1185         echo "Creating $@"; \
1186         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1187         fi )
1188
1189 install-html-local:
1190 # If the user wants the help sources to be installed
1191 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1192 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1193 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1194 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1195 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1196 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1197 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1198 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1199 @INSTALL_HELP_XML_TRUE@           done ; \
1200 @INSTALL_HELP_XML_TRUE@         fi; \
1201 @INSTALL_HELP_XML_TRUE@  fi; \
1202 @INSTALL_HELP_XML_TRUE@ done; \
1203 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1204 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1205 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1206 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1207 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1208 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1209 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1210 @INSTALL_HELP_XML_TRUE@           done ; \
1211 @INSTALL_HELP_XML_TRUE@         fi; \
1212 @INSTALL_HELP_XML_TRUE@ fi
1213 install-data-local:
1214 # Install the tests
1215         @echo "-------- Install tests (if any) --------"; \
1216         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1217           if test -d $(srcdir)/$$dir/; then \
1218             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1219                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1220                     if test -d "$(srcdir)/$$dir/$$file"; then \
1221                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1222                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1223                     else \
1224                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1225                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1226                     fi \
1227                   done; \
1228           fi; \
1229         done
1230 # Install the help chapter
1231         @echo "-------- Install the help chapter (if any) --------"; \
1232         for lang in $(HELP_CHAPTERLANG); do \
1233                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1234                 if test -f $$HELPFILE; then \
1235                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1236                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1237                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1238                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1239                 fi; \
1240         done
1241 # Install the demos & examples
1242         @echo "-------- Install demos & examples (if any) --------"; \
1243         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1244           if test -d $(srcdir)/$$dir/; then \
1245             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1246                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1247                     if test -d "$(srcdir)/$$dir/$$file"; then \
1248                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1249                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1250                     else \
1251                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1252                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1253                     fi \
1254                   done; \
1255           fi; \
1256         done
1257 # Install the macros
1258         @echo "-------- Install macros (if any) --------"; \
1259         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1260           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1261                 if test -d $(srcdir)/$$dir/; then \
1262                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1263                         if test -n "$(MACROSSPECIALEXT)"; then \
1264                                 for specialExt in $(MACROSSPECIALEXT); do \
1265                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1266                                 done; \
1267                                 FILELIST="$$FILELIST $$specialExtDir"; \
1268                         fi; \
1269                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1270                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1271                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1272                   done; \
1273                 fi; \
1274         done
1275 # Install java files (.jar)
1276         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1277         echo "-------- Install jar files --------"; \
1278     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1279           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1280                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1281                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1282           done ; \
1283         fi
1284
1285 ########### CLEAN ###################
1286 # Clean macros and help (generated automatically by Scilab)
1287 @NEED_JAVA_TRUE@clean-local: clean-java clean-macros
1288 @NEED_JAVA_FALSE@clean-local: clean-macros
1289
1290 distclean-local:
1291         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1292
1293 .PHONY: macros java swig giws
1294
1295 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1296 # Otherwise a system limit (for SysV at least) may be exceeded.
1297 .NOEXPORT: